Continue to Site

Welcome to MCAD Central

Join our MCAD Central community forums, the largest resource for MCAD (Mechanical Computer-Aided Design) professionals, including files, forums, jobs, articles, calendar, and more.

Restructure by Toolkit

ElliottW

New member
Hi All, I am trying to do "Restructure" by Toolkit.
I can't find a function that can doing this directly.
I think it should be a combination of several actions.
Maybe something like
1.> restore info. of the component(position,
constraints...etc)
2.> Create new one with ProAsmcompAssemble()
3.> Set info. for new one
4.> Delete the old component
Can anyone give me some advise? Thanks a lot!
>
 
Hi, I don't understand your question. What do you mean by "Restructure". Can you please describe what it should do and how it is possible to do manually in Pro/ENGINEER?
 
Elliot,


Look at the function ProFeatureReorder() if you want to "reorder" the features. Otherwise if you want to "redefine" a feature follow these steps.

  1. <LI>Get a ProFeature handle to the feature using ProSolidFeatVisit() or ProFeatureInit().</LI>
    <LI>Get the element tree by calling ProFeatureElemtreeCreate().</LI>
    <LI>Make your modifications to the feature tree.</LI>
    <LI>Redefine the feature by calling ProFeatureRedfine().</LI>
    <LI>Free the feature tree by calling ProFeatureElemtreeFree().</LI>


Read the API Wizard under User's Guide->Principles of Feature Creation. Hope this helps.
 
Hi~ Patrick & TL,


Restructure is a function in Assembly mode, it can move componentsfromassembly or subassembly to another. Here is my steps:


1.> I use ProSelectionAsmcomppathGet to get components path in assembly. It's a little like address of that component.


2.> Use ProAsmcomppathInit & ProAsmcompAssemble to get new path from input.


3.> Use ProFeatureDelete to delete the old one.


It works, but I still working on the movement of relation and constraints. Thanks a lot~
 

Sponsor

Articles From 3DCAD World

Back
Top